using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using digioz;

namespace digioz
{
    public class DataFactoryNonRelational
    {
        public static IDataNonRelational GetDataObject(PortalSettings poPortalSettings)
        {
            IDataNonRelational loData = null;

            if (poPortalSettings.DBType == "XML")
            {
                loData = new digioz.XML(poPortalSettings);
            }
            else if (poPortalSettings.DBType == "Eloquera")
            {
                loData = new Eloquera(poPortalSettings);
            }

            return loData;
        }
    }
}
